function item_pickup( entity_item, entity_who_picked, item_name )
	local pos_x, pos_y = EntityGetTransform( entity_item )
	local player_x, player_y = EntityGetTransform( entity_who_picked )
	EntityKill( entity_item )
	EntityLoad( "mods/aura/files/entity/holder_used.xml", pos_x, pos_y )

	EntityLoad( "mods/aura/files/effects/holders/critical.xml", pos_x, pos_y-22 )

	EntityKill(effect)
	EntityKill(task_entity)

	if (EntityHasTag(entity_who_picked, 'aura_duration')) then
		effect = EntityLoad( "mods/aura/files/effects/player/aura_duration/critical.xml", player_x, player_y )
		task_entity = EntityLoad( "mods/aura/files/timers/aura_duration/critical.xml" )
	else
		effect = EntityLoad( "mods/aura/files/effects/player/critical.xml", player_x, player_y )
		task_entity = EntityLoad( "mods/aura/files/timers/critical.xml" )
	end

	EntityAddChild( entity_who_picked, effect)

end
